# Interface RenderingRuleJson

Specifies the rendering rule for how the requested image should be rendered.

See https://developers.arcgis.com/web-map-specification/objects/renderingRule/ https://developers.arcgis.com/web-scene-specification/objects/renderingRule/.

interface RenderingRuleJson {
outputPixelType?:
| "C128"
| "C64"
| "F32"
| "F64"
| "S16"
| "S32"
| "S8"
| "U1"
| "U16"
| "U2"
| "U32"
| "U4"
| "U8"
| "UNKNOWN";
rasterFunction?: string;
rasterFunctionArguments?: Record<string, unknown>;
variableName?: string;
}

#####
Index

### Properties

outputPixelType?
rasterFunction?
rasterFunctionArguments?
variableName?

##
Properties

### `Optional` outputPixelType

outputPixelType?:
| "C128"
| "C64"
| "F32"
| "F64"
| "S16"
| "S32"
| "S8"
| "U1"
| "U16"
| "U2"
| "U32"
| "U4"
| "U8"
| "UNKNOWN"

Defines the pixel type of the output image.

### `Optional` rasterFunction

rasterFunction?: string

The raster function name identifies the processing or rendering to be performed. See http://resources.arcgis.com/en/help/arcgis-rest-api/#/Raster_Function_Objects/02r3000000rv000000/.

### `Optional` rasterFunctionArguments

rasterFunctionArguments?: Record<string, unknown>

The arguments for the referenced rasterFunction.

### `Optional` variableName

variableName?: string

Variable name for the raster function.